MULTITAIL(1)

NAME
multiTail.pl - Read multiple log files. The log files can be written round.

SYNOPSIS
        multiTail.pl [-a] [-d delay] [-p begin|end]
                [--print] [-t] [-o outFile [-m max] [-P]
                 [[-n noFiles] | [-s [-c compressprog]] ]
                ]
                [-C color=pattern [-C color=pattern ...]]
                [-g expression] files...

OPTIONS

-a, --addName
        add filename to the output at the beginning of each line

-d, --delay
        delay in sec. between checking the files (default 5 sec)

-p, --position
        read from begin or end of file (default = begin)

--print
        print configuration read from configuration file
        or command line and stop

-t, --withTime
        with current time and date in the output

-o, --out
        write output to file

-m, --maxFilelen
        maximal len of file written round (default = 1e6)

-n, --noOfOldFiles
        number of old files to store

-P, --withPID
        write pid to log file (default is not)

-H, --withHostname
        write hostname to log file (default is not)

-l, --maxlines
        maximal number of lines to read per --delay in one chunk
        from a log file (default = 1000)
        setting this value to 0 means to read all lines immediately

-s, --saveLogs
        save log files with date and time instead of deleting the
        old (with [-noOfOldFiles])

-c, --compressWith
        compress saved log files (e.g. with -c 'gzip -9')

-C, --color
        use color for a line if specified pattern matches
        supported colors are:
        'red', 'green', 'yellow', 'blue', 'magenta', 'cyan'
        this option can be used multiple times
        example:
           --color red=ERROR

-g, --grep
        grep for lines with the specified expression
        example:
           --grep 'ERROR|WARNING'

-V
        print version(s)

COPYRIGHT
Copyright (c) 2001-2014 by Heinz-Josef Claes (see README) Published under the GNU General Public License or any later version